| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
IOTest Namespace Reference

## Functions
def | storeExplorer
def | update ()
def | printDelta (s0, s1)

## Variables
string | input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'
tuple | appConf = ApplicationMgr(OutputLevel = INFO)
tuple | root = Gaudi__RootCnvSvc('RootCnvSvc')
tuple | appMgr = GaudiPython.AppMgr()
tuple | sel = appMgr.evtsel()
tuple | evt = appMgr.evtsvc()
tuple | start = update()
int | N = 0
tuple | rc = appMgr.run(1)
tuple | end = update()

## Detailed Description

       Simple test application to read LHCb dst files
       For reading other root files: change the data access
       if '/Event/Rec/Header' is not present.

       Requires: 'SetupProject LHCb'

       Script inherited from T.Ruf
       M.Frank  CERN/LHCb

## Function Documentation

def IOTest.printDelta | ( |  | s0,
|  |  | s1
| ) |  |

Definition at line 77 of file IOTest.py.

77 def printDelta(s0,s1):
78 for s in s1:
79 if s=='time': print '%15s : %10.2F sec'%(s,(s1[s]-s0[s]))
80 else: print '%15s : %10.2F MB'%(s,(s1[s]-s0[s])/1.E6)
81
IOTest.printDelta
def printDelta(s0, s1)
Definition: IOTest.py:77

def IOTest.storeExplorer | ( |  | load = `1`,
|  |  | freq = `0.0001`,
|  |  | name = `'StoreExplorerAlg'`
| ) |  |

Definition at line 22 of file IOTest.py.

22 def storeExplorer(load=1,freq=0.0001,name='StoreExplorerAlg'):
23 from Configurables import StoreExplorerAlg
24 alg = StoreExplorerAlg(name)
25 alg.Load = load
26 alg.PrintFreq = freq
27 return alg
28
29 #------------------------------------------------------------------------------------------------
30
StoreExplorerAlg
Small algorith, which traverses the data store and prints generic information about all leaves...
Definition: StoreExplorerAlg.cpp:30
IOTest.storeExplorer
def storeExplorer
Definition: IOTest.py:22

def IOTest.update | ( |  | ) |

Definition at line 66 of file IOTest.py.

66 def update():
67 statistic = {}
68 test = open('/proc/self/io')
69 io = test.readlines()
70 test.close()
71 for l in io:
72 temp = l.split(':')
73 statistic[temp[0]]=int(temp[1])
74 statistic['time']=time.time()
75 return statistic
76
IOTest.update
def update()
Definition: IOTest.py:66

## Variable Documentation

tuple IOTest.appConf = ApplicationMgr(OutputLevel = INFO)

Definition at line 34 of file IOTest.py.

tuple IOTest.appMgr = GaudiPython.AppMgr()

Definition at line 83 of file IOTest.py.

tuple IOTest.end = update()

Definition at line 101 of file IOTest.py.

tuple IOTest.evt = appMgr.evtsvc()

Definition at line 85 of file IOTest.py.

list IOTest.input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'

Definition at line 18 of file IOTest.py.

int IOTest.N = 0

Definition at line 90 of file IOTest.py.

tuple IOTest.rc = appMgr.run(1)

Definition at line 92 of file IOTest.py.

tuple IOTest.root = Gaudi__RootCnvSvc('RootCnvSvc')

Definition at line 42 of file IOTest.py.

tuple IOTest.sel = appMgr.evtsel()

Definition at line 84 of file IOTest.py.

tuple IOTest.start = update()

Definition at line 88 of file IOTest.py.